RNAlib-2.2.9

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

Functions
Compute the centroid structure
RNA Secondary Structure Prediction » Computing Partition Functions and Pair Probabilities
Collaboration diagram for Compute the centroid structure:

## Functions
char * | vrna_centroid (vrna_fold_compound_t *vc, double *dist)
| Get the centroid structure of the ensemble. More...
char * | vrna_centroid_from_plist (int length, double *dist, vrna_plist_t *pl)
| Get the centroid structure of the ensemble. More...
char * | vrna_centroid_from_probs (int length, double *dist, FLT_OR_DBL *probs)
| Get the centroid structure of the ensemble. More...

## Detailed Description

## Function Documentation

char* vrna_centroid | ( | vrna_fold_compound_t * | vc,
|  | double * | dist
| ) |  |

`#include <ViennaRNA/centroid.h>`

Get the centroid structure of the ensemble.

The centroid is the structure with the minimal average distance to all other structures
Thus, the centroid is simply the structure containing all pairs with The distance of the centroid to the ensemble is written to the memory adressed by dist.

Parameters

  [in] | vc | The fold compound data structure
  [out] | dist | A pointer to the distance variable where the centroid distance will be written to

Returns
  The centroid structure of the ensemble in dot-bracket notation

char* vrna_centroid_from_plist | ( | int | length,
|  | double * | dist,
|  | vrna_plist_t * | pl
| ) |  |

`#include <ViennaRNA/centroid.h>`

Get the centroid structure of the ensemble.

This function is a threadsafe replacement for centroid() with a vrna_plist_t input

The centroid is the structure with the minimal average distance to all other structures
Thus, the centroid is simply the structure containing all pairs with The distance of the centroid to the ensemble is written to the memory adressed by dist.

Parameters

  [in] | length | The length of the sequence
  [out] | dist | A pointer to the distance variable where the centroid distance will be written to
  [in] | pl | A pair list containing base pair probability information about the ensemble

Returns
  The centroid structure of the ensemble in dot-bracket notation

char* vrna_centroid_from_probs | ( | int | length,
|  | double * | dist,
|  | FLT_OR_DBL * | probs
| ) |  |

`#include <ViennaRNA/centroid.h>`

Get the centroid structure of the ensemble.

This function is a threadsafe replacement for centroid() with a probability array input

The centroid is the structure with the minimal average distance to all other structures
Thus, the centroid is simply the structure containing all pairs with The distance of the centroid to the ensemble is written to the memory adressed by dist.

Parameters

  [in] | length | The length of the sequence
  [out] | dist | A pointer to the distance variable where the centroid distance will be written to
  [in] | probs | An upper triangular matrix containing base pair probabilities (access via iindx vrna_idx_row_wise() )

Returns
  The centroid structure of the ensemble in dot-bracket notation